AI Sync

Phone Numbers

Get Phone Number

GEThttps://app.rizzdial.com/api/phone-numbers/{id}
Get Phone Number
curl --request GET \
  --url https://app.rizzdial.com/api/phone-numbers/12 \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": 12,
    "status": "Verified",
    "use_for": "both",
    "dialable": true,
    "phone_no": "+14155550100",
    "provider": "Twilio",
    "ai_active": false,
    "base64_id": "MTI=",
    "phone_type": "local",
    "phone_title": "Main line",
    "has_spam_protection": false
  },
  "success": true
}

Get Phone Number#

Returns one phone number for the signed-in company.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Numeric id, base64 id, or encrypted id from List Phone Numbers

curl --request GET \
  --url https://app.rizzdial.com/api/phone-numbers/12 \
  --header 'Authorization: Bearer {{bearer_token}}'
dataobject

The number, including 10DLC link status, spam protection, and whether it is activated for AI